<template>
	<view>
		<view class="list">
			<view class="t_item" v-for="(item, index) in list" :key="index" @click="detail(item)">
				<view class="r63">
					<view class="title">{{ item.title }}</view>
				</view>
				<view class="r35 day">{{ item.createTime.substring(0, 11) }}</view>
				<view class="clear"></view>
			</view>
			<view class="loading"><u-loadmore :status="loadMore ? 'loading' : 'nomore'" /></view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			list: [],
			param: { pageNum: 1, pageSize: 10, type: 4 },
			loadMore: true
		};
	},
	onLoad() {
		this.getData();
	},
	methods: {
		//获取数据
		getData() {
			this.$http.request({
				url: this.$http.urls.getPageContent,
				data: this.param,
				loading: 'false',
				success: res => {
					console.log(JSON.stringify(res));
					this.loadMore = res.data.pages > this.param.pageNum ? true : false;
					res.data.rows.forEach(item => {
						this.list.push(item);
					});
				}
			});
		},
		//详情
		detail(item) {
			uni.navigateTo({ url: '/pages/government/detail?id=' + item.contentId });
		},
		//刷新数据
		refresh() {
			this.loadMore = true;
			this.param.pageNum = 1;
			this.list = [];
			this.getData();
		}
	},
	//下拉刷新
	onPullDownRefresh() {
		setTimeout(() => {
			uni.stopPullDownRefresh();
			this.refresh();
		}, 1000);
	},
	//上拉加载
	onReachBottom() {
		if (this.loadMore) {
			this.param.pageNum++;
			this.getData();
		}
	}
};
</script>

<style lang="scss">
.list {
	padding: 0px 10px 70px 10px;
}
</style>
